{ lib, namespace, ... }:
with lib;
{
  options.${namespace}.services.lubelogger = {
    enable = mkEnableOption "enable lubelogger";

    port = mkOption {
      type = types.port;
      default = 6754;
      description = "Port for lubelogger web interface";
    };

    openFirewall = mkOption {
      type = types.bool;
      default = true;
      description = "Whether to open firewall for lubelogger";
    };
  };
}
